# SDPRTPAVPMediaDescription Class Reference

`#include <sdp.h>`

Inheritance diagram for SDPRTPAVPMediaDescription:

[legend]
Collaboration diagram for SDPRTPAVPMediaDescription:
[legend]

## Public Member Functions

| SDPRTPAVPMediaDescription (const OpalTransportAddress &address, const OpalMediaType &mediaType)
virtual bool | Decode (const PStringArray &tokens)
virtual PCaselessString | GetSDPTransportType () const
virtual SDPMediaFormat * | CreateSDPMediaFormat (const PString &portString)
virtual PString | GetSDPPortList () const
virtual bool | PreEncode ()
virtual void | OutputAttributes (ostream &str) const
virtual void | SetCryptoKeys (OpalMediaCryptoKeyList &cryptoKeys)
virtual OpalMediaCryptoKeyList | GetCryptoKeys () const
virtual void | SetAttribute (const PString &attr, const PString &value)
void | EnableFeedback ()

## Protected Attributes

bool | m_enableFeedback
OpalVideoFormat::RTCPFeedback | m_rtcp_fb
PList< SDPCryptoSuite > | m_cryptoSuites

## Constructor & Destructor Documentation

SDPRTPAVPMediaDescription::SDPRTPAVPMediaDescription | ( | const OpalTransportAddress & | address,
|  | const OpalMediaType & | mediaType |
| ) |  |  |

## Member Function Documentation

virtual SDPMediaFormat* SDPRTPAVPMediaDescription::CreateSDPMediaFormat | ( | const PString & | portString | ) | `[virtual]`

Implements SDPMediaDescription.

virtual bool SDPRTPAVPMediaDescription::Decode | ( | const PStringArray & | tokens | ) | `[virtual]`

Reimplemented from SDPMediaDescription.

void SDPRTPAVPMediaDescription::EnableFeedback | ( |  | ) | `[inline]`

virtual OpalMediaCryptoKeyList SDPRTPAVPMediaDescription::GetCryptoKeys | ( |  | ) | const`[virtual]`

Reimplemented from SDPMediaDescription.

virtual PString SDPRTPAVPMediaDescription::GetSDPPortList | ( |  | ) | const`[virtual]`

Reimplemented from SDPMediaDescription.

virtual PCaselessString SDPRTPAVPMediaDescription::GetSDPTransportType | ( |  | ) | const`[virtual]`

Implements SDPMediaDescription.

virtual void SDPRTPAVPMediaDescription::OutputAttributes | ( | ostream & | str | ) | const`[virtual]`

Reimplemented from SDPCommonAttributes.

Reimplemented in SDPAudioMediaDescription, and SDPVideoMediaDescription.

virtual bool SDPRTPAVPMediaDescription::PreEncode | ( |  | ) | `[virtual]`

Reimplemented from SDPMediaDescription.

Reimplemented in SDPVideoMediaDescription.

virtual void SDPRTPAVPMediaDescription::SetAttribute | ( | const PString & | attr,
|  | const PString & | value |
| ) |  |  | `[virtual]`

Reimplemented from SDPMediaDescription.

Reimplemented in SDPAudioMediaDescription, and SDPVideoMediaDescription.

virtual void SDPRTPAVPMediaDescription::SetCryptoKeys | ( | OpalMediaCryptoKeyList & | cryptoKeys | ) | `[virtual]`

Reimplemented from SDPMediaDescription.

## Field Documentation

PList<SDPCryptoSuite> SDPRTPAVPMediaDescription::m_cryptoSuites `[protected]`

bool SDPRTPAVPMediaDescription::m_enableFeedback `[protected]`

OpalVideoFormat::RTCPFeedback SDPRTPAVPMediaDescription::m_rtcp_fb `[protected]`

The documentation for this class was generated from the following file:

- sdp.h